unit AvScreen;
// 7.40.HW 546F7775 11-11-16 09:30:00
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs,
  ActnCtrls, ActnList, ActnMan, ActnMenus, ActnColorMaps, AppEvnts,
  ComCtrls, ExtCtrls, Grids, ImgList, Math,
  Menus, Printers, StdCtrls, StdStyleActnCtrls, StrUtils, ToolWin, Typinfo,
  XPStyleActnCtrls, StdActns, ShellAPI, System.Actions, System.ImageList, System.UITypes,

  VCLTee.Control, VCLTee.Grid,

  Tee.GridData.Strings, Tee.Painter,
  Tee.Grid.Columns, Tee.Format, Tee.Renders;

type
//  TCustomTeeGridAccess = class(TVCLTeeGrid);
  TAvScreenForm = class(TForm)
    AvMenuIcons: TImageList;
    ActionManager: TActionManager;
    ActionMainMenuBar: TActionMainMenuBar;
    ActionToolBar: TActionToolBar;
    Save: TAction;
    DeleteRecord: TAction;
    Exitabar: TAction;

    DELV: TAction;
    ZOOM: TAction;
    HotKey: TAction;
    INSV: TAction;
    ApplicationEvents: TApplicationEvents;
    StatusBar1: TStatusBar;
    PrintForm: TAction;
    HelpAbout: TAction;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    EditUndo1: TEditUndo;
    Open: TAction;
    PEEK: TAction;
    procedure FormDestroy(Sender: TObject);
    procedure OnClick(Sender: TObject);
    procedure OnDblClick(Sender: TObject);
 {   procedure OnCellEdited(Sender: TObject;
  AEditor: TControl; AColumn: TColumn; ARow: Integer;
  ChangeData: Boolean; NewData: string);}
    procedure CellEdited(const Sender: TObject;
  const AEditor: TControl; const AColumn: TColumn; const ARow: Integer;
  var ChangeData: Boolean; var NewData: string);
    procedure OnSelect(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var ClickObject: string;
    ClickGridCol: integer;
    ClickGridRow: integer;
    CurrForm: TForm;
    CurrGrid: TTeeGrid;
    FormName: string;
    GridNumber: integer;
    GridObject: TTeeGrid;
    GridText: WideString;
    ObjectName: string;
    ObjectType: string;
    AvScreenForm: TAvScreenForm;
    isLoading : Boolean;

implementation

{$R *.dfm}

procedure TAvScreenForm.FormDestroy(Sender: TObject);
begin
  // Nothing currently done here, but embedded in all forms
end;


procedure TAvScreenForm.OnClick(Sender: TObject);
begin
  // Setting a "clicked" check box or radio button causes this to fire - if
  // we're setting properties we do NOT want to process the fake "click"

  (*ClickObject := 'Unknown';
  if Sender is TTeeGrid then begin
    ClickObject := TTeeGrid(Sender).Name;
  end;

  ShowMessage('Click ' + ClickObject);
  ClickObject := '';*)
end;

procedure TAvScreenForm.OnDblClick(Sender: TObject);
begin
  ClickObject := 'Unknown';
  if Sender is TTeeGrid       then ClickObject := TTeeGrid(Sender).Name;

  ShowMessage('DblClick ' + ClickObject);
  ClickObject := '';
end;

{procedure TAvScreenForm.OnCellEdited(Sender: TObject;
  AEditor: TControl; AColumn: TColumn; ARow: Integer;
  ChangeData: Boolean; NewData: string);}
procedure TAvScreenForm.CellEdited(const Sender: TObject;
  const AEditor: TControl; const AColumn: TColumn; const ARow: Integer;
  var ChangeData: Boolean; var NewData: string);
begin
//  ShowMessage('Cell Edited ' + NewData);
  ShowMessage('Cell Edited ancestor form');
end;

procedure TAvScreenForm.OnSelect(Sender: TObject);
begin
  // Setting a "clicked" check box or radio button causes this to fire - if
  // we're setting properties we do NOT want to process the fake "click"
  if not isLoading then
  Begin
    if      Sender is TVCLTeeGrid then begin
      if TVCLTeeGrid(Sender).Selected.Column <> nil then
        ClickGridCol := TVCLTeeGrid(Sender).Selected.Column.Tag;
      if TVCLTeeGrid(Sender).Selected.Row <> -1 then
        ClickGridRow := TVCLTeeGrid(Sender).Selected.Row;
      if MidStr(ClickObject,1,2)='Se' then ClickGridRow:=ClickGridRow + 1;
    end;
  ShowMessage('Select ' + IntToStr(ClickGridCol) + ' ' + IntToStr(ClickGridRow));
  ClickObject := '';
  End;
  ShowMessage('Select ' + IntToStr(ClickGridCol) + ' ' + IntToStr(ClickGridRow));
end;

end.
