unit MenuMain;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg, AvScreen, Menus, ShellApi;
type
  TMenuMainForm = class(TForm)
    Image2: TImage;
    mnuMainMenu: TMainMenu;
    mnuAdmin: TMenuItem;
    Test1: TMenuItem;
    Procedure CommonShow(Screen: TAvScreenForm);
    procedure FormCreate(Sender: TObject);
    procedure FormShow;
    procedure mnuTest1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  MenuMainForm: TMenuMainForm;
implementation
uses  Ticker;

{$R *.dfm}
procedure TMenuMainForm.FormShow;
var GFormShow: boolean;
begin
  GFormShow := True;
  CurrForm := TFormClass(FindClass(FormName)).Create(Nil);
  If GFormShow then begin
    Hide;
    CurrForm.ShowModal;
    Show;
  end;
end;

procedure TMenuMainForm.CommonShow(Screen: TAvScreenForm);
begin
  hide;               // Hide the menu screen
  (Screen).ShowModal; // Show the Application screen
  Show;               // Re-show  menu screen
end;

procedure TMenuMainForm.mnuTest1Click(Sender: TObject);
begin
   FormName := 'TTickerForm';
   FormShow;
end;

procedure TMenuMainForm.FormCreate(Sender: TObject);
begin
  Application.helpfile := extractfilepath(application.ExeName) + '\VRHelp\WinHelp_2000\VRHelp.hlp';
  RegisterClass(TTickerForm);
end;
end.
